CREATE TABLE cto_pending_copy_entities (
    COPY_ENTITY_ID            NUMBER(18, 0),
    CONFIGURED_ITEM_ID        NUMBER(18, 0)    NOT NULL,
    INVENTORY_ITEM_ID         NUMBER(18, 0),
    MASTER_ORGANIZATION_ID    NUMBER(18, 0)    NOT NULL,
    COPY_ENTITY_CODE          VARCHAR2(120)    NOT NULL,
    COPY_STATUS_FLAG          VARCHAR2(4)  ,
    COPY_ALL_ORGS_FLAG        VARCHAR2(4)  ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)     NOT NULL,
    CREATED_BY                VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128),
    COPY_ENTITY_ID            NUMBER(18, 0),
    CONFIGURED_ITEM_ID        NUMBER(18, 0)    NOT NULL,
    INVENTORY_ITEM_ID         NUMBER(18, 0),
    MASTER_ORGANIZATION_ID    NUMBER(18, 0)    NOT NULL,
    COPY_ENTITY_CODE          VARCHAR2(120)    NOT NULL,
    COPY_STATUS_FLAG          VARCHAR2(4)  ,
    COPY_ALL_ORGS_FLAG        VARCHAR2(4)  ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)     NOT NULL,
    CREATED_BY                VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128),
    CONSTRAINT pk_cto_pending_copy_entities PRIMARY KEY (COPY_ENTITY_ID, COPY_ENTITY_ID)
);
